--IP Functional Simulation Model
--VERSION_BEGIN 9.0SP2 cbx_mgl 2009:02:26:16:06:21:SJ cbx_simgen 2008:08:06:16:30:59:SJ  VERSION_END


-- Legal Notice:  2003 Altera Corporation. All rights reserved.
-- You may only use these  simulation  model  output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event  Altera disclaims all warranties of any kind). Your use of  Altera
-- Corporation's design tools, logic functions and other software and tools,
-- and its AMPP partner logic functions, and any output files any of the
-- foregoing (including device programming or simulation files), and any
-- associated documentation or information  are expressly subject to the
-- terms and conditions of the  Altera Program License Subscription Agreement
-- or other applicable license agreement, including, without limitation, that
-- your use is for the sole purpose of programming logic devices manufactured
-- by Altera and sold by Altera or its authorized distributors.  Please refer
-- to the applicable agreement for further details.


--synopsys translate_off

 LIBRARY stratixiigx_hssi;
 USE stratixiigx_hssi.stratixiigx_hssi_components.all;

--synthesis_resources = stratixiigx_hssi_central_management_unit 1 stratixiigx_hssi_cmu_pll 1 stratixiigx_hssi_receiver 1 stratixiigx_hssi_transmitter 1 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  gxb_ebi_tr IS 
	 PORT 
	 ( 
		 pll_inclk	:	IN  STD_LOGIC;
		 rx_cruclk	:	IN  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_ctrldetect	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_datain	:	IN  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_dataout	:	OUT  STD_LOGIC_VECTOR (7 DOWNTO 0);
		 rx_disperr	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_errdetect	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_patterndetect	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_rlv	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_rmfifodatadeleted	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_rmfifodatainserted	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_runningdisp	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 rx_syncstatus	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 tx_clkout	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 tx_ctrlenable	:	IN  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 tx_datain	:	IN  STD_LOGIC_VECTOR (7 DOWNTO 0);
		 tx_dataout	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0)
	 ); 
 END gxb_ebi_tr;

 ARCHITECTURE RTL OF gxb_ebi_tr IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL  wire_niOl_adet	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_cmudividerdprioin	:	STD_LOGIC_VECTOR (29 DOWNTO 0);
	 SIGNAL  wire_niOl_cmuplldprioin	:	STD_LOGIC_VECTOR (119 DOWNTO 0);
	 SIGNAL  wire_niOl_cmuplldprioout	:	STD_LOGIC_VECTOR (119 DOWNTO 0);
	 SIGNAL  wire_gnd	:	STD_LOGIC;
	 SIGNAL  wire_vcc	:	STD_LOGIC;
	 SIGNAL  wire_niOl_dpriodisableout	:	STD_LOGIC;
	 SIGNAL  wire_niOl_fixedclk	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_pllpowerdn	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_niOl_pllresetout	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_niOl_quadresetout	:	STD_LOGIC;
	 SIGNAL  wire_niOl_rdalign	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_refclkdividerdprioin	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_niOl_rxadcepowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxadceresetout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxanalogreset	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxanalogresetout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxcrupowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxcruresetout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxctrl	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxdatain	:	STD_LOGIC_VECTOR (31 DOWNTO 0);
	 SIGNAL  wire_niOl_rxdatavalid	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxdigitalreset	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxdigitalresetout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxdprioin	:	STD_LOGIC_VECTOR (1199 DOWNTO 0);
	 SIGNAL  wire_niOl_rxibpowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxpowerdown	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_rxrunningdisp	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_syncstatus	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_txanalogresetout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_txctrl	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_txctrlout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_txdatain	:	STD_LOGIC_VECTOR (31 DOWNTO 0);
	 SIGNAL  wire_niOl_txdataout	:	STD_LOGIC_VECTOR (31 DOWNTO 0);
	 SIGNAL  wire_niOl_txdetectrxpowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_txdigitalreset	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_txdigitalresetout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_txdividerpowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOl_txdprioin	:	STD_LOGIC_VECTOR (599 DOWNTO 0);
	 SIGNAL  wire_niOl_txobpowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_niOi_clk	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
	 SIGNAL  wire_niOi_clkout	:	STD_LOGIC;
	 SIGNAL  wire_niOi_dprioin	:	STD_LOGIC_VECTOR (39 DOWNTO 0);
	 SIGNAL  wire_nill_cruclk	:	STD_LOGIC_VECTOR (8 DOWNTO 0);
	 SIGNAL  wire_nill_ctrldetect	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nill_dataout	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
	 SIGNAL  wire_nill_disperr	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nill_dprioin	:	STD_LOGIC_VECTOR (299 DOWNTO 0);
	 SIGNAL  wire_nill_errdetect	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nill_parallelfdbk	:	STD_LOGIC_VECTOR (19 DOWNTO 0);
	 SIGNAL  wire_nill_patterndetect	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nill_pipepowerdown	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_nill_pipepowerstate	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_nill_rlv	:	STD_LOGIC;
	 SIGNAL  wire_nill_rmfifodatadeleted	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nill_rmfifodatainserted	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nill_runningdisp	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nill_rxfound	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_nill_syncstatus	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nill_testsel	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_nill_xgmdatain	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
	 SIGNAL  wire_nilO_clkout	:	STD_LOGIC;
	 SIGNAL  wire_nilO_ctrlenable	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nilO_datain	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
	 SIGNAL  wire_nilO_datainfull	:	STD_LOGIC_VECTOR (43 DOWNTO 0);
	 SIGNAL  wire_nilO_dataout	:	STD_LOGIC;
	 SIGNAL  wire_nilO_dispval	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nilO_dprioin	:	STD_LOGIC_VECTOR (149 DOWNTO 0);
	 SIGNAL  wire_nilO_forcedisp	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nilO_pllfastclk	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_nilO_powerdn	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_nilO_refclkout	:	STD_LOGIC;
	 SIGNAL  wire_nilO_revparallelfdbk	:	STD_LOGIC_VECTOR (19 DOWNTO 0);
	 SIGNAL  wire_nilO_xgmdatain	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
 BEGIN

	wire_gnd <= '0';
	wire_vcc <= '1';
	rx_ctrldetect(0) <= ( wire_nill_ctrldetect(0));
	rx_dataout <= ( wire_nill_dataout(7 DOWNTO 0));
	rx_disperr(0) <= ( wire_nill_disperr(0));
	rx_errdetect(0) <= ( wire_nill_errdetect(0));
	rx_patterndetect(0) <= ( wire_nill_patterndetect(0));
	rx_rlv(0) <= ( wire_nill_rlv);
	rx_rmfifodatadeleted(0) <= ( wire_nill_rmfifodatadeleted(0));
	rx_rmfifodatainserted(0) <= ( wire_nill_rmfifodatainserted(0));
	rx_runningdisp(0) <= ( wire_nill_runningdisp(0));
	rx_syncstatus(0) <= ( wire_nill_syncstatus(0));
	tx_clkout(0) <= ( wire_nilO_clkout);
	tx_dataout(0) <= ( wire_nilO_dataout);
	wire_niOl_adet <= ( "0" & "0" & "0" & "0");
	wire_niOl_cmudividerdprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_niOl_cmuplldprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_niOl_fixedclk <= ( "0" & "0" & "0" & "0");
	wire_niOl_rdalign <= ( "0" & "0" & "0" & "0");
	wire_niOl_refclkdividerdprioin <= ( "0" & "0");
	wire_niOl_rxanalogreset <= ( "0" & "0" & "0" & "0");
	wire_niOl_rxctrl <= ( "0" & "0" & "0" & "0");
	wire_niOl_rxdatain <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_niOl_rxdatavalid <= ( "0" & "0" & "0" & "0");
	wire_niOl_rxdigitalreset <= ( "0" & "0" & "0" & "0");
	wire_niOl_rxdprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0"
 & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" &
 "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0"
 & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_niOl_rxpowerdown <= ( "0" & "0" & "0" & "0");
	wire_niOl_rxrunningdisp <= ( "0" & "0" & "0" & "0");
	wire_niOl_syncstatus <= ( "0" & "0" & "0" & "0");
	wire_niOl_txctrl <= ( "0" & "0" & "0" & "0");
	wire_niOl_txdatain <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_niOl_txdigitalreset <= ( "0" & "0" & "0" & "0");
	wire_niOl_txdprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0"
 & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	niOl :  stratixiigx_hssi_central_management_unit
	  GENERIC MAP (
		analog_test_bus_enable => "false",
		bonded_quad_mode => "none",
		devaddr => 1,
		dprio_config_mode => 0,
		in_xaui_mode => "false",
		lpm_type => "stratixiigx_hssi_central_management_unit",
		offset_all_errors_align => "false",
		pll0_inclk0_logical_to_physical_mapping => "iq0",
		pll0_inclk1_logical_to_physical_mapping => "iq1",
		pll0_inclk2_logical_to_physical_mapping => "iq2",
		pll0_inclk3_logical_to_physical_mapping => "iq3",
		pll0_inclk4_logical_to_physical_mapping => "iq4",
		pll0_inclk5_logical_to_physical_mapping => "pld_clk",
		pll0_inclk6_logical_to_physical_mapping => "clkrefclk0",
		pll0_inclk7_logical_to_physical_mapping => "clkrefclk1",
		pll1_inclk0_logical_to_physical_mapping => "iq0",
		pll1_inclk1_logical_to_physical_mapping => "iq1",
		pll1_inclk2_logical_to_physical_mapping => "iq2",
		pll1_inclk3_logical_to_physical_mapping => "iq3",
		pll1_inclk4_logical_to_physical_mapping => "iq4",
		pll1_inclk5_logical_to_physical_mapping => "pld_clk",
		pll1_inclk6_logical_to_physical_mapping => "clkrefclk0",
		pll1_inclk7_logical_to_physical_mapping => "clkrefclk1",
		portaddr => 1,
		rx0_cru_clock0_physical_mapping => "iq0",
		rx0_cru_clock1_physical_mapping => "iq1",
		rx0_cru_clock2_physical_mapping => "iq2",
		rx0_cru_clock3_physical_mapping => "iq3",
		rx0_cru_clock4_physical_mapping => "iq4",
		rx0_cru_clock5_physical_mapping => "pld_cru_clk",
		rx0_cru_clock6_physical_mapping => "refclk0",
		rx0_cru_clock7_physical_mapping => "refclk1",
		rx0_cru_clock8_physical_mapping => "cmu_div_clk",
		rx1_cru_clock0_physical_mapping => "iq0",
		rx1_cru_clock1_physical_mapping => "iq1",
		rx1_cru_clock2_physical_mapping => "iq2",
		rx1_cru_clock3_physical_mapping => "iq3",
		rx1_cru_clock4_physical_mapping => "iq4",
		rx1_cru_clock5_physical_mapping => "pld_cru_clk",
		rx1_cru_clock6_physical_mapping => "refclk0",
		rx1_cru_clock7_physical_mapping => "refclk1",
		rx1_cru_clock8_physical_mapping => "cmu_div_clk",
		rx2_cru_clock0_physical_mapping => "iq0",
		rx2_cru_clock1_physical_mapping => "iq1",
		rx2_cru_clock2_physical_mapping => "iq2",
		rx2_cru_clock3_physical_mapping => "iq3",
		rx2_cru_clock4_physical_mapping => "iq4",
		rx2_cru_clock5_physical_mapping => "pld_cru_clk",
		rx2_cru_clock6_physical_mapping => "refclk0",
		rx2_cru_clock7_physical_mapping => "refclk1",
		rx2_cru_clock8_physical_mapping => "cmu_div_clk",
		rx3_cru_clock0_physical_mapping => "iq0",
		rx3_cru_clock1_physical_mapping => "iq1",
		rx3_cru_clock2_physical_mapping => "iq2",
		rx3_cru_clock3_physical_mapping => "iq3",
		rx3_cru_clock4_physical_mapping => "iq4",
		rx3_cru_clock5_physical_mapping => "pld_cru_clk",
		rx3_cru_clock6_physical_mapping => "refclk0",
		rx3_cru_clock7_physical_mapping => "refclk1",
		rx3_cru_clock8_physical_mapping => "cmu_div_clk",
		rx_dprio_width => 1200,
		sim_dump_dprio_internal_reg_at_time => 0,
		sim_dump_filename => "sim_dprio_dump.txt",
		tx0_pll_fast_clk0_physical_mapping => "pll0",
		tx0_pll_fast_clk1_physical_mapping => "pll1",
		tx1_pll_fast_clk0_physical_mapping => "pll0",
		tx1_pll_fast_clk1_physical_mapping => "pll1",
		tx2_pll_fast_clk0_physical_mapping => "pll0",
		tx2_pll_fast_clk1_physical_mapping => "pll1",
		tx3_pll_fast_clk0_physical_mapping => "pll0",
		tx3_pll_fast_clk1_physical_mapping => "pll1",
		tx_dprio_width => 600,
		use_deskew_fifo => "false"
	  )
	  PORT MAP ( 
		adet => wire_niOl_adet,
		cmudividerdprioin => wire_niOl_cmudividerdprioin,
		cmuplldprioin => wire_niOl_cmuplldprioin,
		cmuplldprioout => wire_niOl_cmuplldprioout,
		dpclk => wire_gnd,
		dpriodisable => wire_vcc,
		dpriodisableout => wire_niOl_dpriodisableout,
		dprioin => wire_gnd,
		dprioload => wire_gnd,
		fixedclk => wire_niOl_fixedclk,
		pllpowerdn => wire_niOl_pllpowerdn,
		pllresetout => wire_niOl_pllresetout,
		quadenable => wire_vcc,
		quadreset => wire_gnd,
		quadresetout => wire_niOl_quadresetout,
		rdalign => wire_niOl_rdalign,
		rdenablesync => wire_gnd,
		recovclk => wire_gnd,
		refclkdividerdprioin => wire_niOl_refclkdividerdprioin,
		rxadcepowerdn => wire_niOl_rxadcepowerdn,
		rxadceresetout => wire_niOl_rxadceresetout,
		rxanalogreset => wire_niOl_rxanalogreset,
		rxanalogresetout => wire_niOl_rxanalogresetout,
		rxclk => wire_gnd,
		rxcrupowerdn => wire_niOl_rxcrupowerdn,
		rxcruresetout => wire_niOl_rxcruresetout,
		rxctrl => wire_niOl_rxctrl,
		rxdatain => wire_niOl_rxdatain,
		rxdatavalid => wire_niOl_rxdatavalid,
		rxdigitalreset => wire_niOl_rxdigitalreset,
		rxdigitalresetout => wire_niOl_rxdigitalresetout,
		rxdprioin => wire_niOl_rxdprioin,
		rxibpowerdn => wire_niOl_rxibpowerdn,
		rxpowerdown => wire_niOl_rxpowerdown,
		rxrunningdisp => wire_niOl_rxrunningdisp,
		syncstatus => wire_niOl_syncstatus,
		txanalogresetout => wire_niOl_txanalogresetout,
		txclk => wire_gnd,
		txctrl => wire_niOl_txctrl,
		txctrlout => wire_niOl_txctrlout,
		txdatain => wire_niOl_txdatain,
		txdataout => wire_niOl_txdataout,
		txdetectrxpowerdn => wire_niOl_txdetectrxpowerdn,
		txdigitalreset => wire_niOl_txdigitalreset,
		txdigitalresetout => wire_niOl_txdigitalresetout,
		txdividerpowerdn => wire_niOl_txdividerpowerdn,
		txdprioin => wire_niOl_txdprioin,
		txobpowerdn => wire_niOl_txobpowerdn
	  );
	wire_niOi_clk <= ( "0" & "0" & "0" & "0" & "0" & pll_inclk & "0" & "0");
	wire_niOi_dprioin <= ( wire_niOl_cmuplldprioout(39 DOWNTO 0));
	niOi :  stratixiigx_hssi_cmu_pll
	  GENERIC MAP (
		charge_pump_current_control => 2,
		divide_by => 1,
		dprio_config_mode => 0,
		enable_pll_cascade => "false",
		inclk0_period => 0,
		inclk1_period => 8000,
		inclk2_period => 8000,
		inclk3_period => 0,
		inclk4_period => 0,
		inclk5_period => 0,
		inclk6_period => 0,
		loop_filter_resistor_control => 3,
		low_speed_test_sel => 0,
		multiply_by => 5,
		pfd_clk_select => 2,
		pll_number => 0,
		pll_type => "normal",
		protocol_hint => "gige",
		remapped_to_new_loop_filter_charge_pump_settings => "false",
		sim_clkout_phase_shift => 0,
		vco_range => "low"
	  )
	  PORT MAP ( 
		clk => wire_niOi_clk,
		clkout => wire_niOi_clkout,
		dpriodisable => wire_niOl_dpriodisableout,
		dprioin => wire_niOi_dprioin,
		pllpowerdn => wire_niOl_pllpowerdn(0),
		pllreset => wire_niOl_pllresetout(0)
	  );
	wire_nill_cruclk <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & rx_cruclk(0));
	wire_nill_dprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_nill_parallelfdbk <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_nill_pipepowerdown <= ( "0" & "0");
	wire_nill_pipepowerstate <= ( "0" & "0" & "0" & "0");
	wire_nill_rxfound <= ( "0" & "0");
	wire_nill_testsel <= ( "0" & "0" & "0" & "0");
	wire_nill_xgmdatain <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	nill :  stratixiigx_hssi_receiver
	  GENERIC MAP (
		adaptive_equalization_mode => "none",
		align_loss_sync_error_num => 4,
		align_pattern => "0101111100",
		align_pattern_length => 10,
		align_to_deskew_pattern_pos_disp_only => "false",
		allow_align_polarity_inversion => "false",
		allow_pipe_polarity_inversion => "false",
		allow_serial_loopback => "false",
		bandwidth_mode => 1,
		bit_slip_enable => "false",
		byte_order_pad_pattern => "0",
		byte_order_pattern => "0",
		byte_ordering_mode => "none",
		channel_bonding => "none",
		channel_number => 0,
		channel_width => 8,
		clk1_mux_select => "recvd_clk",
		clk2_mux_select => "local_refclk",
		common_mode => "0.9v",
		cru_clock_select => 0,
		cru_divide_by => 1,
		cru_multiply_by => 5,
		cru_pre_divide_by => 1,
		cruclk0_period => 8000,
		cruclk1_period => 8000,
		cruclk2_period => 8000,
		cruclk3_period => 8000,
		cruclk4_period => 8000,
		cruclk5_period => 8000,
		cruclk6_period => 8000,
		datapath_protocol => "basic",
		dec_8b_10b_compatibility_mode => "true",
		dec_8b_10b_mode => "normal",
		deskew_pattern => "0",
		disable_auto_idle_insertion => "true",
		disable_ph_low_latency_mode => "false",
		disable_running_disp_in_word_align => "false",
		disallow_kchar_after_pattern_ordered_set => "false",
		dprio_config_mode => 0,
		dprio_mode => "none",
		dprio_width => 300,
		enable_bit_reversal => "false",
		enable_dc_coupling => "false",
		enable_deep_align => "false",
		enable_deep_align_byte_swap => "false",
		enable_lock_to_data_sig => "false",
		enable_lock_to_refclk_sig => "false",
		enable_self_test_mode => "false",
		enable_true_complement_match_in_word_align => "false",
		eq_adapt_seq_control => 3,
		eq_max_gradient_control => 7,
		equalizer_ctrl_a => 0,
		equalizer_ctrl_b => 0,
		equalizer_ctrl_c => 0,
		equalizer_ctrl_d => 0,
		equalizer_ctrl_v => 0,
		equalizer_dc_gain => 0,
		force_freq_det_high => "false",
		force_freq_det_low => "false",
		force_signal_detect => "true",
		force_signal_detect_dig => "true",
		ignore_lock_detect => "false",
		infiniband_invalid_code => 0,
		insert_pad_on_underflow => "false",
		num_align_code_groups_in_ordered_set => 1,
		num_align_cons_good_data => 4,
		num_align_cons_pat => 3,
		ppmselect => 32,
		protocol_hint => "gige",
		rate_match_almost_empty_threshold => 11,
		rate_match_almost_full_threshold => 13,
		rate_match_back_to_back => "true",
		rate_match_fifo_mode => "normal",
		rate_match_ordered_set_based => "true",
		rate_match_pattern1 => "10100010010101111100",
		rate_match_pattern2 => "10101011011010000011",
		rate_match_pattern_size => 20,
		rate_match_skip_set_based => "false",
		rd_clk_mux_select => "core_clk",
		recovered_clk_mux_select => "recvd_clk",
		run_length => 5,
		run_length_enable => "true",
		rx_detect_bypass => "false",
		self_test_mode => "incremental",
		send_direct_reverse_serial_loopback => "true",
		signal_detect_threshold => 2,
		sim_rxpll_clkout_phase_shift => 0,
		termination => "oct_100_ohms",
		use_align_state_machine => "true",
		use_deserializer_double_data_mode => "false",
		use_deskew_fifo => "false",
		use_double_data_mode => "false",
		use_parallel_loopback => "false",
		use_rate_match_pattern1_only => "false",
		use_rising_edge_triggered_pattern_align => "false",
		use_termvoltage_signal => "false"
	  )
	  PORT MAP ( 
		a1a2size => wire_gnd,
		adcepowerdn => wire_niOl_rxadcepowerdn(0),
		adcereset => wire_niOl_rxadceresetout(0),
		alignstatus => wire_gnd,
		alignstatussync => wire_gnd,
		analogreset => wire_niOl_rxanalogresetout(0),
		bitslip => wire_gnd,
		coreclk => wire_nilO_clkout,
		cruclk => wire_nill_cruclk,
		crupowerdn => wire_niOl_rxcrupowerdn(0),
		crureset => wire_niOl_rxcruresetout(0),
		ctrldetect => wire_nill_ctrldetect,
		datain => rx_datain(0),
		dataout => wire_nill_dataout,
		digitalreset => wire_niOl_rxdigitalresetout(0),
		disablefifordin => wire_gnd,
		disablefifowrin => wire_gnd,
		disperr => wire_nill_disperr,
		dpriodisable => wire_vcc,
		dprioin => wire_nill_dprioin,
		enabledeskew => wire_gnd,
		enabyteord => wire_gnd,
		enapatternalign => wire_gnd,
		errdetect => wire_nill_errdetect,
		fifordin => wire_gnd,
		fiforesetrd => wire_gnd,
		ibpowerdn => wire_niOl_rxibpowerdn(0),
		invpol => wire_gnd,
		localrefclk => wire_nilO_refclkout,
		locktodata => wire_gnd,
		locktorefclk => wire_gnd,
		masterclk => wire_gnd,
		parallelfdbk => wire_nill_parallelfdbk,
		patterndetect => wire_nill_patterndetect,
		phfifordenable => wire_vcc,
		phfiforeset => wire_gnd,
		phfifowrdisable => wire_gnd,
		phfifox4bytesel => wire_gnd,
		phfifox4rdenable => wire_vcc,
		phfifox4wrclk => wire_vcc,
		phfifox4wrenable => wire_vcc,
		phfifox8bytesel => wire_gnd,
		phfifox8rdenable => wire_vcc,
		phfifox8wrclk => wire_vcc,
		phfifox8wrenable => wire_vcc,
		pipe8b10binvpolarity => wire_gnd,
		pipepowerdown => wire_nill_pipepowerdown,
		pipepowerstate => wire_nill_pipepowerstate,
		quadreset => wire_niOl_quadresetout,
		refclk => wire_gnd,
		revbitorderwa => wire_gnd,
		revbyteorderwa => wire_gnd,
		rlv => wire_nill_rlv,
		rmfifodatadeleted => wire_nill_rmfifodatadeleted,
		rmfifodatainserted => wire_nill_rmfifodatainserted,
		rmfifordena => wire_gnd,
		rmfiforeset => wire_gnd,
		rmfifowrena => wire_gnd,
		runningdisp => wire_nill_runningdisp,
		rxdetectvalid => wire_gnd,
		rxfound => wire_nill_rxfound,
		serialfdbk => wire_gnd,
		seriallpbken => wire_gnd,
		syncstatus => wire_nill_syncstatus,
		testsel => wire_nill_testsel,
		xgmctrlin => wire_gnd,
		xgmdatain => wire_nill_xgmdatain
	  );
	wire_nilO_ctrlenable(0) <= ( tx_ctrlenable(0));
	wire_nilO_datain <= ( tx_datain(7 DOWNTO 0));
	wire_nilO_datainfull <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_nilO_dispval <= ( "0");
	wire_nilO_dprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_nilO_forcedisp <= ( "0");
	wire_nilO_pllfastclk <= ( "0" & wire_niOi_clkout);
	wire_nilO_powerdn <= ( "0" & "0");
	wire_nilO_revparallelfdbk <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_nilO_xgmdatain <= ( wire_niOl_txdataout(7 DOWNTO 0));
	nilO :  stratixiigx_hssi_transmitter
	  GENERIC MAP (
		allow_polarity_inversion => "false",
		analog_power => "1.5v",
		channel_bonding => "none",
		channel_number => 0,
		channel_width => 8,
		common_mode => "0.6v",
		disable_ph_low_latency_mode => "false",
		disparity_mode => "none",
		divider_refclk_select_pll_fast_clk0 => "true",
		dprio_config_mode => 0,
		dprio_mode => "none",
		dprio_width => 150,
		enable_bit_reversal => "false",
		enable_idle_selection => "true",
		enable_reverse_parallel_loopback => "false",
		enable_reverse_serial_loopback => "false",
		enable_self_test_mode => "false",
		enable_slew_rate => "false",
		enable_symbol_swap => "false",
		enc_8b_10b_compatibility_mode => "true",
		enc_8b_10b_mode => "normal",
		force_echar => "false",
		force_kchar => "false",
		low_speed_test_select => 0,
		preemp_pretap => 0,
		preemp_pretap_inv => "false",
		preemp_tap_1 => 0,
		preemp_tap_2 => 0,
		preemp_tap_2_inv => "false",
		protocol_hint => "gige",
		refclk_divide_by => 1,
		refclk_select => "local",
		rxdetect_ctrl => 0,
		self_test_mode => "incremental",
		serializer_clk_select => "local",
		termination => "oct_100_ohms",
		transmit_protocol => "basic",
		use_double_data_mode => "false",
		use_serializer_double_data_mode => "false",
		use_termvoltage_signal => "false",
		vod_selection => 3,
		wr_clk_mux_select => "core_clk"
	  )
	  PORT MAP ( 
		analogreset => wire_niOl_txanalogresetout(0),
		analogx4fastrefclk => wire_gnd,
		analogx4refclk => wire_gnd,
		analogx8fastrefclk => wire_gnd,
		analogx8refclk => wire_gnd,
		clkout => wire_nilO_clkout,
		coreclk => wire_nilO_clkout,
		ctrlenable => wire_nilO_ctrlenable,
		datain => wire_nilO_datain,
		datainfull => wire_nilO_datainfull,
		dataout => wire_nilO_dataout,
		detectrxloop => wire_gnd,
		detectrxpowerdn => wire_niOl_txdetectrxpowerdn(0),
		digitalreset => wire_niOl_txdigitalresetout(0),
		dispval => wire_nilO_dispval,
		dividerpowerdn => wire_niOl_txdividerpowerdn(0),
		dpriodisable => wire_vcc,
		dprioin => wire_nilO_dprioin,
		enrevparallellpbk => wire_gnd,
		forcedisp => wire_nilO_forcedisp,
		forcedispcompliance => wire_gnd,
		forceelecidle => wire_gnd,
		invpol => wire_gnd,
		obpowerdn => wire_niOl_txobpowerdn(0),
		phfiforddisable => wire_gnd,
		phfiforeset => wire_gnd,
		phfifowrenable => wire_vcc,
		phfifox4bytesel => wire_gnd,
		phfifox4rdclk => wire_vcc,
		phfifox4rdenable => wire_vcc,
		phfifox4wrenable => wire_vcc,
		phfifox8bytesel => wire_gnd,
		phfifox8rdclk => wire_vcc,
		phfifox8rdenable => wire_vcc,
		phfifox8wrenable => wire_vcc,
		pipestatetransdone => wire_gnd,
		pllfastclk => wire_nilO_pllfastclk,
		powerdn => wire_nilO_powerdn,
		quadreset => wire_niOl_quadresetout,
		refclk => wire_gnd,
		refclkout => wire_nilO_refclkout,
		revparallelfdbk => wire_nilO_revparallelfdbk,
		revserialfdbk => wire_gnd,
		xgmctrl => wire_niOl_txctrlout(0),
		xgmdatain => wire_nilO_xgmdatain
	  );

 END RTL; --gxb_ebi_tr
--synopsys translate_on
--VALID FILE
