onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider -height 40 {TESTBENCH INTERFACE}
add wave -noupdate -format Logic -radix hexadecimal /tb/reset
add wave -noupdate -format Logic -radix hexadecimal /tb/reset_model
add wave -noupdate -format Literal -radix unsigned /tb/state
add wave -noupdate -format Literal -radix unsigned /tb/nextstate
add wave -noupdate -format Logic -radix hexadecimal /tb/sim_start
add wave -noupdate -format Logic /tb/frm_gen_ena_gmii
add wave -noupdate -format Logic /tb/frm_gen_ena_mii
add wave -noupdate -format Literal -radix unsigned /tb/rx_frm_cnt
add wave -noupdate -format Literal -radix unsigned /tb/tx_frm_cnt
add wave -noupdate -divider -height 40 {CONTROL INTERFACE}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reset
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reset_tx_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reset_rx_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/clk
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/address
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/readdata
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/read
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/writedata
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/write
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/waitrequest
add wave -noupdate -divider -height 40 {RECEIVE INTERFACE}
add wave -noupdate -divider {PMA SERIAL RX}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/ref_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/rxp
add wave -noupdate -divider {GMII RX}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/rx_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/gmii_rx_err
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/gmii_rx_dv
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/gmii_rx_d
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/rx_clk
add wave -noupdate -divider -height 40 {TRANSMIT INTERFACE}
add wave -noupdate -divider {GMII TX}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/tx_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/gmii_tx_err
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/gmii_tx_en
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/gmii_tx_d
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/tx_clk
add wave -noupdate -divider {PMA SERIAL TX}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/txp
add wave -noupdate -divider -height 40 {STATUS n MISC CONTROL}
add wave -noupdate -divider {PHY LINK STATUS}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/led_an
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/led_char_err
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/led_link
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/led_disp_err
add wave -noupdate -divider -height 40 {New Divider}
add wave -noupdate -format Literal /tb/peer_loopback/gmii_rx_d
add wave -noupdate -format Logic /tb/peer_loopback/gmii_rx_dv
add wave -noupdate -format Logic /tb/peer_loopback/gmii_rx_err
add wave -noupdate -format Literal /tb/peer_loopback/gmii_tx_d
add wave -noupdate -format Logic /tb/peer_loopback/gmii_tx_en
add wave -noupdate -format Logic /tb/peer_loopback/gmii_tx_err
add wave -noupdate -format Logic /tb/peer_loopback/ref_clk
add wave -noupdate -format Logic /tb/peer_loopback/rx_clk
add wave -noupdate -format Logic /tb/peer_loopback/rxp
add wave -noupdate -format Logic /tb/peer_loopback/tx_clk
add wave -noupdate -format Logic /tb/peer_loopback/txp
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {0 ps} 0}
configure wave -namecolwidth 201
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {0 ps} {20 us}
