--IP Functional Simulation Model
--VERSION_BEGIN 9.0SP2 cbx_mgl 2009:02:26:16:06:21:SJ cbx_simgen 2008:08:06:16:30:59:SJ  VERSION_END


-- Legal Notice:  2003 Altera Corporation. All rights reserved.
-- You may only use these  simulation  model  output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event  Altera disclaims all warranties of any kind). Your use of  Altera
-- Corporation's design tools, logic functions and other software and tools,
-- and its AMPP partner logic functions, and any output files any of the
-- foregoing (including device programming or simulation files), and any
-- associated documentation or information  are expressly subject to the
-- terms and conditions of the  Altera Program License Subscription Agreement
-- or other applicable license agreement, including, without limitation, that
-- your use is for the sole purpose of programming logic devices manufactured
-- by Altera and sold by Altera or its authorized distributors.  Please refer
-- to the applicable agreement for further details.


--synopsys translate_off

 LIBRARY stratixiigx_hssi;
 USE stratixiigx_hssi.stratixiigx_hssi_components.all;

--synthesis_resources = stratixiigx_hssi_central_management_unit 1 stratixiigx_hssi_cmu_pll 1 stratixiigx_hssi_transmitter 1 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  gxb_ebi_tx IS 
	 PORT 
	 ( 
		 pll_inclk	:	IN  STD_LOGIC;
		 tx_clkout	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 tx_ctrlenable	:	IN  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 tx_datain	:	IN  STD_LOGIC_VECTOR (7 DOWNTO 0);
		 tx_dataout	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0)
	 ); 
 END gxb_ebi_tx;

 ARCHITECTURE RTL OF gxb_ebi_tx IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL  wire_n1O_adet	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_cmudividerdprioin	:	STD_LOGIC_VECTOR (29 DOWNTO 0);
	 SIGNAL  wire_n1O_cmuplldprioin	:	STD_LOGIC_VECTOR (119 DOWNTO 0);
	 SIGNAL  wire_n1O_cmuplldprioout	:	STD_LOGIC_VECTOR (119 DOWNTO 0);
	 SIGNAL  wire_gnd	:	STD_LOGIC;
	 SIGNAL  wire_vcc	:	STD_LOGIC;
	 SIGNAL  wire_n1O_dpriodisableout	:	STD_LOGIC;
	 SIGNAL  wire_n1O_fixedclk	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_pllpowerdn	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_n1O_pllresetout	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_n1O_quadresetout	:	STD_LOGIC;
	 SIGNAL  wire_n1O_rdalign	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_refclkdividerdprioin	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_n1O_rxanalogreset	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_rxctrl	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_rxdatain	:	STD_LOGIC_VECTOR (31 DOWNTO 0);
	 SIGNAL  wire_n1O_rxdatavalid	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_rxdigitalreset	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_rxdprioin	:	STD_LOGIC_VECTOR (1199 DOWNTO 0);
	 SIGNAL  wire_n1O_rxpowerdown	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_rxrunningdisp	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_syncstatus	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_txanalogresetout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_txctrl	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_txctrlout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_txdatain	:	STD_LOGIC_VECTOR (31 DOWNTO 0);
	 SIGNAL  wire_n1O_txdataout	:	STD_LOGIC_VECTOR (31 DOWNTO 0);
	 SIGNAL  wire_n1O_txdetectrxpowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_txdigitalreset	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_txdigitalresetout	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_txdividerpowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1O_txdprioin	:	STD_LOGIC_VECTOR (599 DOWNTO 0);
	 SIGNAL  wire_n1O_txobpowerdn	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_n1l_clk	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
	 SIGNAL  wire_n1l_clkout	:	STD_LOGIC;
	 SIGNAL  wire_n1l_dprioin	:	STD_LOGIC_VECTOR (39 DOWNTO 0);
	 SIGNAL  wire_n1i_clkout	:	STD_LOGIC;
	 SIGNAL  wire_n1i_ctrlenable	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_n1i_datain	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
	 SIGNAL  wire_n1i_datainfull	:	STD_LOGIC_VECTOR (43 DOWNTO 0);
	 SIGNAL  wire_n1i_dataout	:	STD_LOGIC;
	 SIGNAL  wire_n1i_dispval	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_n1i_dprioin	:	STD_LOGIC_VECTOR (149 DOWNTO 0);
	 SIGNAL  wire_n1i_forcedisp	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_n1i_pllfastclk	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_n1i_powerdn	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_n1i_revparallelfdbk	:	STD_LOGIC_VECTOR (19 DOWNTO 0);
	 SIGNAL  wire_n1i_xgmdatain	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
 BEGIN

	wire_gnd <= '0';
	wire_vcc <= '1';
	tx_clkout(0) <= ( wire_n1i_clkout);
	tx_dataout(0) <= ( wire_n1i_dataout);
	wire_n1O_adet <= ( "0" & "0" & "0" & "0");
	wire_n1O_cmudividerdprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_n1O_cmuplldprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_n1O_fixedclk <= ( "0" & "0" & "0" & "0");
	wire_n1O_rdalign <= ( "0" & "0" & "0" & "0");
	wire_n1O_refclkdividerdprioin <= ( "0" & "0");
	wire_n1O_rxanalogreset <= ( "0" & "0" & "0" & "0");
	wire_n1O_rxctrl <= ( "0" & "0" & "0" & "0");
	wire_n1O_rxdatain <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_n1O_rxdatavalid <= ( "0" & "0" & "0" & "0");
	wire_n1O_rxdigitalreset <= ( "0" & "0" & "0" & "0");
	wire_n1O_rxdprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0"
 & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" &
 "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0"
 & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_n1O_rxpowerdown <= ( "0" & "0" & "0" & "0");
	wire_n1O_rxrunningdisp <= ( "0" & "0" & "0" & "0");
	wire_n1O_syncstatus <= ( "0" & "0" & "0" & "0");
	wire_n1O_txctrl <= ( "0" & "0" & "0" & "0");
	wire_n1O_txdatain <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_n1O_txdigitalreset <= ( "0" & "0" & "0" & "0");
	wire_n1O_txdprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0"
 & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	n1O :  stratixiigx_hssi_central_management_unit
	  GENERIC MAP (
		analog_test_bus_enable => "false",
		bonded_quad_mode => "none",
		devaddr => 1,
		dprio_config_mode => 0,
		in_xaui_mode => "false",
		lpm_type => "stratixiigx_hssi_central_management_unit",
		offset_all_errors_align => "false",
		pll0_inclk0_logical_to_physical_mapping => "iq0",
		pll0_inclk1_logical_to_physical_mapping => "iq1",
		pll0_inclk2_logical_to_physical_mapping => "iq2",
		pll0_inclk3_logical_to_physical_mapping => "iq3",
		pll0_inclk4_logical_to_physical_mapping => "iq4",
		pll0_inclk5_logical_to_physical_mapping => "pld_clk",
		pll0_inclk6_logical_to_physical_mapping => "clkrefclk0",
		pll0_inclk7_logical_to_physical_mapping => "clkrefclk1",
		pll1_inclk0_logical_to_physical_mapping => "iq0",
		pll1_inclk1_logical_to_physical_mapping => "iq1",
		pll1_inclk2_logical_to_physical_mapping => "iq2",
		pll1_inclk3_logical_to_physical_mapping => "iq3",
		pll1_inclk4_logical_to_physical_mapping => "iq4",
		pll1_inclk5_logical_to_physical_mapping => "pld_clk",
		pll1_inclk6_logical_to_physical_mapping => "clkrefclk0",
		pll1_inclk7_logical_to_physical_mapping => "clkrefclk1",
		portaddr => 1,
		rx0_cru_clock0_physical_mapping => "iq0",
		rx0_cru_clock1_physical_mapping => "iq1",
		rx0_cru_clock2_physical_mapping => "iq2",
		rx0_cru_clock3_physical_mapping => "iq3",
		rx0_cru_clock4_physical_mapping => "iq4",
		rx0_cru_clock5_physical_mapping => "pld_cru_clk",
		rx0_cru_clock6_physical_mapping => "refclk0",
		rx0_cru_clock7_physical_mapping => "refclk1",
		rx0_cru_clock8_physical_mapping => "cmu_div_clk",
		rx1_cru_clock0_physical_mapping => "iq0",
		rx1_cru_clock1_physical_mapping => "iq1",
		rx1_cru_clock2_physical_mapping => "iq2",
		rx1_cru_clock3_physical_mapping => "iq3",
		rx1_cru_clock4_physical_mapping => "iq4",
		rx1_cru_clock5_physical_mapping => "pld_cru_clk",
		rx1_cru_clock6_physical_mapping => "refclk0",
		rx1_cru_clock7_physical_mapping => "refclk1",
		rx1_cru_clock8_physical_mapping => "cmu_div_clk",
		rx2_cru_clock0_physical_mapping => "iq0",
		rx2_cru_clock1_physical_mapping => "iq1",
		rx2_cru_clock2_physical_mapping => "iq2",
		rx2_cru_clock3_physical_mapping => "iq3",
		rx2_cru_clock4_physical_mapping => "iq4",
		rx2_cru_clock5_physical_mapping => "pld_cru_clk",
		rx2_cru_clock6_physical_mapping => "refclk0",
		rx2_cru_clock7_physical_mapping => "refclk1",
		rx2_cru_clock8_physical_mapping => "cmu_div_clk",
		rx3_cru_clock0_physical_mapping => "iq0",
		rx3_cru_clock1_physical_mapping => "iq1",
		rx3_cru_clock2_physical_mapping => "iq2",
		rx3_cru_clock3_physical_mapping => "iq3",
		rx3_cru_clock4_physical_mapping => "iq4",
		rx3_cru_clock5_physical_mapping => "pld_cru_clk",
		rx3_cru_clock6_physical_mapping => "refclk0",
		rx3_cru_clock7_physical_mapping => "refclk1",
		rx3_cru_clock8_physical_mapping => "cmu_div_clk",
		rx_dprio_width => 1200,
		sim_dump_dprio_internal_reg_at_time => 0,
		sim_dump_filename => "sim_dprio_dump.txt",
		tx0_pll_fast_clk0_physical_mapping => "pll0",
		tx0_pll_fast_clk1_physical_mapping => "pll1",
		tx1_pll_fast_clk0_physical_mapping => "pll0",
		tx1_pll_fast_clk1_physical_mapping => "pll1",
		tx2_pll_fast_clk0_physical_mapping => "pll0",
		tx2_pll_fast_clk1_physical_mapping => "pll1",
		tx3_pll_fast_clk0_physical_mapping => "pll0",
		tx3_pll_fast_clk1_physical_mapping => "pll1",
		tx_dprio_width => 600,
		use_deskew_fifo => "false"
	  )
	  PORT MAP ( 
		adet => wire_n1O_adet,
		cmudividerdprioin => wire_n1O_cmudividerdprioin,
		cmuplldprioin => wire_n1O_cmuplldprioin,
		cmuplldprioout => wire_n1O_cmuplldprioout,
		dpclk => wire_gnd,
		dpriodisable => wire_vcc,
		dpriodisableout => wire_n1O_dpriodisableout,
		dprioin => wire_gnd,
		dprioload => wire_gnd,
		fixedclk => wire_n1O_fixedclk,
		pllpowerdn => wire_n1O_pllpowerdn,
		pllresetout => wire_n1O_pllresetout,
		quadenable => wire_vcc,
		quadreset => wire_gnd,
		quadresetout => wire_n1O_quadresetout,
		rdalign => wire_n1O_rdalign,
		rdenablesync => wire_gnd,
		recovclk => wire_gnd,
		refclkdividerdprioin => wire_n1O_refclkdividerdprioin,
		rxanalogreset => wire_n1O_rxanalogreset,
		rxclk => wire_gnd,
		rxctrl => wire_n1O_rxctrl,
		rxdatain => wire_n1O_rxdatain,
		rxdatavalid => wire_n1O_rxdatavalid,
		rxdigitalreset => wire_n1O_rxdigitalreset,
		rxdprioin => wire_n1O_rxdprioin,
		rxpowerdown => wire_n1O_rxpowerdown,
		rxrunningdisp => wire_n1O_rxrunningdisp,
		syncstatus => wire_n1O_syncstatus,
		txanalogresetout => wire_n1O_txanalogresetout,
		txclk => wire_gnd,
		txctrl => wire_n1O_txctrl,
		txctrlout => wire_n1O_txctrlout,
		txdatain => wire_n1O_txdatain,
		txdataout => wire_n1O_txdataout,
		txdetectrxpowerdn => wire_n1O_txdetectrxpowerdn,
		txdigitalreset => wire_n1O_txdigitalreset,
		txdigitalresetout => wire_n1O_txdigitalresetout,
		txdividerpowerdn => wire_n1O_txdividerpowerdn,
		txdprioin => wire_n1O_txdprioin,
		txobpowerdn => wire_n1O_txobpowerdn
	  );
	wire_n1l_clk <= ( "0" & "0" & "0" & "0" & "0" & pll_inclk & "0" & "0");
	wire_n1l_dprioin <= ( wire_n1O_cmuplldprioout(39 DOWNTO 0));
	n1l :  stratixiigx_hssi_cmu_pll
	  GENERIC MAP (
		charge_pump_current_control => 2,
		divide_by => 1,
		dprio_config_mode => 0,
		enable_pll_cascade => "false",
		inclk0_period => 0,
		inclk1_period => 8000,
		inclk2_period => 8000,
		inclk3_period => 0,
		inclk4_period => 0,
		inclk5_period => 0,
		inclk6_period => 0,
		loop_filter_resistor_control => 3,
		low_speed_test_sel => 0,
		multiply_by => 5,
		pfd_clk_select => 2,
		pll_number => 0,
		pll_type => "normal",
		protocol_hint => "gige",
		remapped_to_new_loop_filter_charge_pump_settings => "false",
		sim_clkout_phase_shift => 0,
		vco_range => "low"
	  )
	  PORT MAP ( 
		clk => wire_n1l_clk,
		clkout => wire_n1l_clkout,
		dpriodisable => wire_n1O_dpriodisableout,
		dprioin => wire_n1l_dprioin,
		pllpowerdn => wire_n1O_pllpowerdn(0),
		pllreset => wire_n1O_pllresetout(0)
	  );
	wire_n1i_ctrlenable(0) <= ( tx_ctrlenable(0));
	wire_n1i_datain <= ( tx_datain(7 DOWNTO 0));
	wire_n1i_datainfull <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_n1i_dispval <= ( "0");
	wire_n1i_dprioin <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_n1i_forcedisp <= ( "0");
	wire_n1i_pllfastclk <= ( "0" & wire_n1l_clkout);
	wire_n1i_powerdn <= ( "0" & "0");
	wire_n1i_revparallelfdbk <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	wire_n1i_xgmdatain <= ( wire_n1O_txdataout(7 DOWNTO 0));
	n1i :  stratixiigx_hssi_transmitter
	  GENERIC MAP (
		allow_polarity_inversion => "false",
		analog_power => "1.5v",
		channel_bonding => "none",
		channel_number => 0,
		channel_width => 8,
		common_mode => "0.6v",
		disable_ph_low_latency_mode => "false",
		disparity_mode => "none",
		divider_refclk_select_pll_fast_clk0 => "true",
		dprio_config_mode => 0,
		dprio_mode => "none",
		dprio_width => 150,
		enable_bit_reversal => "false",
		enable_idle_selection => "true",
		enable_reverse_parallel_loopback => "false",
		enable_reverse_serial_loopback => "false",
		enable_self_test_mode => "false",
		enable_slew_rate => "false",
		enable_symbol_swap => "false",
		enc_8b_10b_compatibility_mode => "true",
		enc_8b_10b_mode => "normal",
		force_echar => "false",
		force_kchar => "false",
		low_speed_test_select => 0,
		preemp_pretap => 0,
		preemp_pretap_inv => "false",
		preemp_tap_1 => 0,
		preemp_tap_2 => 0,
		preemp_tap_2_inv => "false",
		protocol_hint => "gige",
		refclk_divide_by => 1,
		refclk_select => "local",
		rxdetect_ctrl => 0,
		self_test_mode => "incremental",
		serializer_clk_select => "local",
		termination => "oct_100_ohms",
		transmit_protocol => "basic",
		use_double_data_mode => "false",
		use_serializer_double_data_mode => "false",
		use_termvoltage_signal => "false",
		vod_selection => 3,
		wr_clk_mux_select => "core_clk"
	  )
	  PORT MAP ( 
		analogreset => wire_n1O_txanalogresetout(0),
		analogx4fastrefclk => wire_gnd,
		analogx4refclk => wire_gnd,
		analogx8fastrefclk => wire_gnd,
		analogx8refclk => wire_gnd,
		clkout => wire_n1i_clkout,
		coreclk => wire_n1i_clkout,
		ctrlenable => wire_n1i_ctrlenable,
		datain => wire_n1i_datain,
		datainfull => wire_n1i_datainfull,
		dataout => wire_n1i_dataout,
		detectrxloop => wire_gnd,
		detectrxpowerdn => wire_n1O_txdetectrxpowerdn(0),
		digitalreset => wire_n1O_txdigitalresetout(0),
		dispval => wire_n1i_dispval,
		dividerpowerdn => wire_n1O_txdividerpowerdn(0),
		dpriodisable => wire_vcc,
		dprioin => wire_n1i_dprioin,
		enrevparallellpbk => wire_gnd,
		forcedisp => wire_n1i_forcedisp,
		forcedispcompliance => wire_gnd,
		forceelecidle => wire_gnd,
		invpol => wire_gnd,
		obpowerdn => wire_n1O_txobpowerdn(0),
		phfiforddisable => wire_gnd,
		phfiforeset => wire_gnd,
		phfifowrenable => wire_vcc,
		phfifox4bytesel => wire_gnd,
		phfifox4rdclk => wire_vcc,
		phfifox4rdenable => wire_vcc,
		phfifox4wrenable => wire_vcc,
		phfifox8bytesel => wire_gnd,
		phfifox8rdclk => wire_vcc,
		phfifox8rdenable => wire_vcc,
		phfifox8wrenable => wire_vcc,
		pipestatetransdone => wire_gnd,
		pllfastclk => wire_n1i_pllfastclk,
		powerdn => wire_n1i_powerdn,
		quadreset => wire_n1O_quadresetout,
		refclk => wire_gnd,
		revparallelfdbk => wire_n1i_revparallelfdbk,
		revserialfdbk => wire_gnd,
		xgmctrl => wire_n1O_txctrlout(0),
		xgmdatain => wire_n1i_xgmdatain
	  );

 END RTL; --gxb_ebi_tx
--synopsys translate_on
--VALID FILE
