onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider -height 40 {TESTBENCH INTERFACE}
add wave -noupdate -format Logic -radix hexadecimal /tb/reset
add wave -noupdate -format Logic -radix hexadecimal /tb/reset_model
add wave -noupdate -format Literal -radix unsigned /tb/state
add wave -noupdate -format Literal -radix unsigned /tb/nextstate
add wave -noupdate -format Logic -radix hexadecimal /tb/sim_start
add wave -noupdate -format Logic /tb/frm_gen_ena_gmii
add wave -noupdate -format Logic /tb/frm_gen_ena_mii
add wave -noupdate -format Literal -radix unsigned /tb/rx_frm_cnt
add wave -noupdate -format Literal -radix unsigned /tb/tx_frm_cnt
add wave -noupdate -divider -height 40 {CONTROL INTERFACE}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reset_reg_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reset_tx_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reset_rx_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reg_clk
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/reg_addr
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/reg_data_in
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reg_rd
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/reg_data_out
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reg_wr
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/reg_busy
add wave -noupdate -divider -height 40 {RECEIVE INTERFACE}
add wave -noupdate -divider {PMA TBI RX}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/tbi_rx_clk
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/tbi_rx_d
add wave -noupdate -divider {GMII RX}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/rx_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/gmii_rx_err
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/gmii_rx_dv
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/gmii_rx_d
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/rx_clk
add wave -noupdate -divider -height 40 {TRANSMIT INTERFACE}
add wave -noupdate -divider {GMII TX}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/tx_clk
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/gmii_tx_err
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/gmii_tx_en
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/gmii_tx_d
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/tx_clk
add wave -noupdate -divider {PMA TBI TX}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/tbi_tx_clk
add wave -noupdate -format Literal -radix hexadecimal /tb/dut/tbi_tx_d
add wave -noupdate -divider -height 40 {STATUS n MISC CONTROL}
add wave -noupdate -divider {PHY LINK STATUS}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/led_an
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/led_char_err
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/led_link
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/led_disp_err
add wave -noupdate -divider {PMA SERDES}
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/powerdown
add wave -noupdate -format Logic -radix hexadecimal /tb/dut/sd_loopback
add wave -noupdate -divider -height 40 {BIBO ADDED}
add wave -noupdate -divider {SERDES 8BIT INTERFACE}
add wave -noupdate -format Logic /tb/ebi_serdes/pll_inclk
add wave -noupdate -format Literal /tb/ebi_serdes/rx_cruclk
add wave -noupdate -format Literal /tb/ebi_serdes/tx_ctrlenable
add wave -noupdate -format Literal /tb/ebi_serdes/rx_datain
add wave -noupdate -format Literal /tb/ebi_serdes/tx_datain
add wave -noupdate -divider {New Divider}
add wave -noupdate -format Literal /tb/ebi_serdes/tx_clkout
add wave -noupdate -format Literal /tb/ebi_serdes/rx_syncstatus
add wave -noupdate -format Literal /tb/ebi_serdes/rx_runningdisp
add wave -noupdate -format Literal /tb/ebi_serdes/rx_rmfifodatainserted
add wave -noupdate -format Literal /tb/ebi_serdes/rx_rmfifodatadeleted
add wave -noupdate -format Literal /tb/ebi_serdes/rx_rlv
add wave -noupdate -format Literal /tb/ebi_serdes/rx_patterndetect
add wave -noupdate -format Literal /tb/ebi_serdes/rx_errdetect
add wave -noupdate -format Literal /tb/ebi_serdes/rx_disperr
add wave -noupdate -format Literal /tb/ebi_serdes/rx_dataout
add wave -noupdate -format Literal /tb/ebi_serdes/rx_ctrldetect
add wave -noupdate -format Literal /tb/ebi_serdes/tx_dataout
add wave -noupdate -divider {New Divider}
add wave -noupdate -format Logic /tb/tx_k28px_detected
add wave -noupdate -format Logic /tb/tx_k28p5_detected
add wave -noupdate -format Logic /tb/tx_d16p2_detected
add wave -noupdate -divider {New Divider}
add wave -noupdate -format Logic /tb/rx_k28px_detected
add wave -noupdate -format Logic /tb/rx_k28p5_detected
add wave -noupdate -format Logic /tb/rx_d16p2_detected
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {4631807 ps} 0}
configure wave -namecolwidth 201
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {0 ps} {14316750 ps}
